Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 05-16-2018, 01:46 PM   #1
net-buoy
Member
net-buoy began at the beginning.
 
Posts: 21
Karma: 10
Join Date: Feb 2011
Device: none
Setting Python version in OSX

Using sigil .0.9.9 and OSX 10.11.6
I have Macports Python 3.6 and tk 8.6.8 installed
Sigil is set to use bundled python for plugins. I saw note about installing active states tk, but shouldn't I be abl to point sigil at my macports installation?
I tried to use the auto button and that set the path to /usr/bin, not /usr/local/bin (where the ports are installed.)
When I tried to type in the correct path it said it could not find it, and when I pushed the set button it brought up the gui and I could not set /usr/local/bin.

What am I missing about being able to set plugins to use my Macports installs?
net-buoy is offline   Reply With Quote
Old 05-16-2018, 02:01 PM   #2
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 18,501
Karma: 95832288
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by net-buoy View Post
Using sigil .0.9.9 and OSX 10.11.6
I have Macports Python 3.6 and tk 8.6.8 installed
Sigil is set to use bundled python for plugins. I saw note about installing active states tk, but shouldn't I be abl to point sigil at my macports installation?
I tried to use the auto button and that set the path to /usr/bin, not /usr/local/bin (where the ports are installed.)
When I tried to type in the correct path it said it could not find it, and when I pushed the set button it brought up the gui and I could not set /usr/local/bin.

What am I missing about being able to set plugins to use my Macports installs?
It has to point to the actual Python interpreter binary file, not merely the directory it's in. When you use the "Set" button, select the Python 3.6 binary.

Though unless you're going to be doing some developing of your own with non-standard (Sigil plugin non-standard) Python modules, I'm not certain why one wouldn't just use the Sigil's bundled Python. It has everything you need to run the vast majority of plugins out there. Otherwise, you'll have to make sure your Macports Python has all the recommended Sigil plugin-related modules installed.

Last edited by DiapDealer; 05-16-2018 at 02:06 PM.
DiapDealer is offline   Reply With Quote
Advert
Old 05-16-2018, 03:47 PM   #3
net-buoy
Member
net-buoy began at the beginning.
 
Posts: 21
Karma: 10
Join Date: Feb 2011
Device: none
ahhhh - in Library>Frameworks>Python.framwork>Versions>3.6>bi n>python3.6
thanks
net-buoy is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
OSX Python environment DiapDealer Development 1 08-03-2014 11:10 PM
latest Sigil version for Mac on 10.6 OSX, why not? ansgar Sigil 5 04-18-2013 09:01 AM
Calibre 0.8.54 Python version out-of-date MacNala Calibre 1 06-02-2012 04:49 AM
Python version? lightkeeper54 Calibre 1 08-07-2009 06:38 AM
libprs500 Version: 0.4.43 dies and does not detect reader under OSX mimoviz Calibre 3 03-28-2008 06:25 PM


All times are GMT -4. The time now is 03:39 PM.


MobileRead.com is a privately owned, operated and funded community.